Troubleshooting

What devices can I use to take my Aceable course?

Here are the system requirements:

COMPUTER

  • We recommend using the most updated version of your Internet browser.
  • The course works best on Google Chrome, Mozilla Firefox, or Safari (Mac).
  • If you are using Internet Explorer, it’s time to get an upgrade! Internet Explorer has tons of bugs because it is a very outdated software that no one in the world works on or maintains. Please switch over to one of our recommended Internet browsers.

SMARTPHONE OR TABLET

  • iPhones and iPads – we require that your device is on iOS version 8.1 and up
  • Android phones and tablets – we require that your device is on Android OS version 4.4 and up
  • We do not have apps for Windows Phones or Kindles.

Couldn’t Find the Answer You Were Searching For?


Did this answer your question?